org.gradle.nativebinaries

## Interface NativeComponent

- All Superinterfaces:
    Named
  All Known Subinterfaces:
    Executable, Library

      @Incubating
      public interface NativeComponent
      extends Named

  Represents a logical software component, which may be built in a number of variant binaries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flavors(Action<? super FlavorContainer> config)` Configure the flavors for this component.
    `String` | `getBaseName()` The name that is used to construct the output file names when building this component.
    `DomainObjectSet<NativeBinary>` | `getBinaries()` The binaries that are built for this component.
    `FlavorContainer` | `getFlavors()` The set of flavors defined for this component.
    `DomainObjectSet<LanguageSourceSet>` | `getSource()` The source sets that are used to build this component.
    `void` | `setBaseName(String baseName)` Sets the name that is used to construct the output file names when building this component.
    `void` | `source(Object source)` Adds one or more `LanguageSourceSet`s that are used to compile this binary.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getSource

          DomainObjectSet<LanguageSourceSet> getSource()

      The source sets that are used to build this component.

    - #### source

          void source(Object source)

      Adds one or more `LanguageSourceSet`s that are used to compile this binary.

      This method accepts the following types:
      - A `FunctionalSourceSet`
      - A `LanguageSourceSet`
      - A Collection of `LanguageSourceSet`s

    - #### getBinaries

          DomainObjectSet<NativeBinary> getBinaries()

      The binaries that are built for this component. You can use this to configure the binaries for this component.

    - #### getBaseName

          String getBaseName()

      The name that is used to construct the output file names when building this component.

    - #### setBaseName

          void setBaseName(String baseName)

      Sets the name that is used to construct the output file names when building this component.

    - #### getFlavors

          FlavorContainer getFlavors()

      The set of flavors defined for this component. All components automatically have a default flavor named "default".

    - #### flavors

          void flavors(Action<? super FlavorContainer> config)

      Configure the flavors for this component.